;-------------------------------------------------------------------------------------------------------------------------------------
;
; Schnittstelle zu anderen Modulen:
;
; INPUT und INPUTRESTRIKTIONEN
; ============================
;
; Parameter    :
;
; Typ    Variablename      Variablebeschreibung [Wertebereich]
; str    cmunuegr          Mengruppe
;  
;
; OUTPUT und OUTPUTRESTRIKTIONEN
; ================================
;
; Parameter    :
;
; Typ    Variablenname     Variablenbeschreibung  [Wertebereich]  
;  
;-------------------------------------------------------------------------------------------------------------------------------------
;  
( defun menue_laden ( cmunuegr
                      /
		      cgeladen clisp
		      ispos )
 
; Den Namen der Funktion fr den Error-Fall sichern
  (vl-doc-set '*cfunktionsave* "menue_laden") 
 
; Die  Mengruppe laden
  (setq cgeladen (menugroup cmunuegr))  ; Schalter ob bereits geladen oder nicht
  (setq clisp (lisp_ermitteln))
  (setq clisp (strcase clisp t))
  (setq ispos (strpos clisp "auto" 1))
  (if (or (= cgeladen nil) (/= ispos nil))
    (command "_.menuload" cmunuegr) ; nur unter AutoCAD laden
  ) ; if
  
; Den Befehl beenden, wenn die Mengruppe bereits geladen ist
  (while (= (getvar "cmdactive") 1)
    (command) ; ESC
  ) ; while

; Rckgabe
  (princ)

) ; Modulende  
